<template>

<div>
  <div>
    <v-card class="mb-3">
      <h2 class="text-center m-3">Abteilungen</h2>
    </v-card>

    <table class="table table-hover table-bordered text-center">
      <thead>
      <tr>
        <th>Name</th>
        <th>Aktionen</th>
      </tr>
      </thead>
      <tbody>
      <departments-t-body v-for="department in departmentStore.departments"
                          :department="department">
      </departments-t-body>
      </tbody>
    </table>
  </div>
  <div>
    <create-department-form v-show="createDepartment"></create-department-form>
  </div>
  <div>
    <v-btn class="buttonStyle" color="blue-darken-4" v-if="!createDepartment" @click="createDepartment = !createDepartment">Neue Abteilung erstellen</v-btn>
    <v-btn class="buttonStyle" color="secondary"  @click="router.push('/dashboard')">Zurück zur Startseite</v-btn>
  </div>
</div>
</template>

<script setup>
import CreateDepartmentForm from "@/components/forms/CreateDepartmentForm.vue";
import {onMounted, ref} from "vue";
import {useDepartmentStore} from "@/stores/departmentStore";
import DepartmentsTBody from "@/components/DepartmentsData.vue";
import {router} from "@/router";

const createDepartment = ref(false);
const departmentStore = useDepartmentStore();

onMounted(async () => {
  await departmentStore.getDepartments();
})

</script>

<style scoped>

.buttonStyle{
  margin-left: 5%;
  margin-bottom: 9px;
  width: 90%;
}

</style>